Bug 217723 - Error compiling with kernel 2.6.19 headers
Error compiling with kernel 2.6.19 headers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 11:34 EST by Vallimar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.5.90-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 12:54:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch based on one made for the iproute2 application (1.88 KB, patch)
2006-11-29 11:34 EST, Vallimar
no flags Details | Diff

  None (edit)
Description Vallimar 2006-11-29 11:34:53 EST
Description of problem:

Several interface macros were removed from the kernel headers, which glibc
requires when compiling. The fact that they are now gone from the kernel causes
compilation issues.


Version-Release number of selected component (if applicable):

kernel >= 2.6.19, glibc >= 2.5.90


How reproducible:

Always.


Steps to Reproduce:
1. make headers_check in kernel 2.6.19 source
2. install exported 2.6.19 headers
3. try to compile glibc

  
Actual results:

Errors on missing defines/macros.


Expected results:

Glibc should compile to completion and generate a new binary rpm.


Additional info:

I'm not sure what version of kernel headers is currently being used in
fedora-devel or if this is fixed in the fedora kernel includes, I just wanted to
give a heads-up that using a vanilla 2.6.19 kernel exported header-set, you
won't be able to compile glibc without some help.
Comment 1 Vallimar 2006-11-29 11:34:53 EST
Created attachment 142388 [details]
Patch based on one made for the iproute2 application
Comment 2 Jakub Jelinek 2006-12-06 12:54:31 EST
The patch is wrong, you can't include <linux/if_addr.h> without any checks,
as that header didn't exist before.  Some macros aren't needed.
glibc-2.5.90-11 has a different fix.

Note You need to log in before you can comment on or make changes to this bug.